Subject: Re: bug#72986: Disabling menu-bar-mode changes size of new frames

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Sep 2024 20:44:42 +0300

> Date: Tue, 3 Sep 2024 19:03:05 +0200
> Cc: Eli Zaretskii <[email-masked]>, Po Lu <[email-masked]>,
>  [email-masked]
> From: martin rudalics <[email-masked]>
> 
> mutter doesn't like us.  Just to make sure one thing: Would setting
> 'frame-resize-pixelwise' to t change anything?
> 
> Otherwise I would try to build Emacs with gtk2, lucid or motif.

Isn't it true that disabling menu-bar-mode from the init file avoids
these problems?

Reuben, is running with menu-bar-mode disabled at all a goal of yours,
or you reported this issue simply because it looks like incorrect
behavior, and you don't really care about running without the menu
bar?